<div class="msg-pop">
  <div>
    <h3>Shift Assignment</h3>
  </div>
</div>
<div class="pop--inner">
  <div class="ibox-content ibox-content2">
    <form (ngSubmit)="onSubmit(f)" #f="ngForm">

      <div class="row btm-margin">
        <div class="col-sm-6">
          <div class="form-group">
            <mat-select class="form-control" placeholder="Select shift" (ngModelChange)="setShiftTiming($event)" name="shift_timings_id"
              #shift_timings_id="ngModel" [(ngModel)]="ShiftTimings.shift_timings_id">
              <mat-option *ngFor="let ShiftTimings of ShiftTimingsData" [value]="ShiftTimings._id"> {{ShiftTimings.name}} </mat-option>
            </mat-select>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12 text-right">
          <button class="btn btn-sm btn-primary blue" type="button" (click)="closePop()">Cancel</button>
          <button class="btn btn-sm btn-primary red" [disabled]="ShiftTimings.invalid" type="submit">Save</button>
        </div>
      </div>
    </form>

  </div>
</div>